/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.FormaPago;
import com.rjconsultores.ventaboletos.entidad.ProdFormaPago;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderCyberViajeProdFormaPago implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ProdFormaPago prodFormaPago = (ProdFormaPago) o;

        Listcell lc = null;

        FormaPago formaPafo = prodFormaPago.getFormaPago();
        if (formaPafo != null) {
            lc = new Listcell(formaPafo.getDescpago());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", prodFormaPago);
    }
}
